new plist, use @sample

This commit is contained in:
naddy 2004-08-08 15:51:06 +00:00
parent a1aab65acd
commit 53e6f7f55d
8 changed files with 18 additions and 258 deletions

View File

@ -1,51 +0,0 @@
#!/bin/sh
# $OpenBSD: DEINSTALL,v 1.2 2003/08/22 13:21:12 naddy Exp $
#
# De-installation setup of xdmchoose
# exit on errors, use a sane path and install prefix
#
set -e
PATH=/bin:/usr/bin:/sbin:/usr/sbin
PREFIX=${PKG_PREFIX:-/usr/local}
CONFIG_FILE=${SYSCONFDIR}/xdmchoose.conf
# Function: tell the user what they need to do to delete the port completely
#
do_notice()
{
echo
echo "+---------------"
echo "| To completely deinstall the $1 package you need to perform"
echo "| these steps as root:"
echo "|"
echo "| rm -f ${CONFIG_FILE}"
echo "|"
echo "| Do not do this if you plan on re-installing $1"
echo "| at some future time."
echo "+---------------"
echo
}
# Verify proper execution
#
if [ $# -ne 2 ]; then
echo "usage: $0 distname DEINSTALL" >&2
exit 1
fi
# Verify/process the command
#
case $2 in
DEINSTALL)
if [ "$PKG_DELETE_EXTRA" != Yes -a -f ${CONFIG_FILE} ]; then
do_notice "$1"
fi
;;
*)
echo "usage: $0 distname DEINSTALL" >&2
exit 1
;;
esac
exit 0

View File

@ -1,68 +0,0 @@
#!/bin/sh
# $OpenBSD: INSTALL,v 1.2 2002/04/26 03:35:34 pvalchev Exp $
#
# Pre/post-installation setup of xdmchoose
# exit on errors, use a sane path and install prefix
#
set -e
PATH=/bin:/usr/bin:/sbin:/usr/sbin
PREFIX=${PKG_PREFIX:-/usr/local}
CONFIG_FILE=${SYSCONFDIR}/xdmchoose.conf
SAMPLE_FILE=$PREFIX/share/examples/xdmchoose/xdmchoose.conf
# Function: tell the user what they need to do to use the port just installed
#
do_notice()
{
echo
echo "+---------------"
echo "| The existing $1 configuration file, ${CONFIG_FILE},"
echo "| has NOT been changed. You may want to compare it to the"
echo "| current sample file ${SAMPLE_FILE}"
echo "| and update your configuration as needed."
echo "+---------------"
echo
}
# Function: install configuration files
#
do_install()
{
install -o root -g wheel ${SAMPLE_FILE} ${CONFIG_FILE}
echo
echo "+---------------"
echo "| The $1 configuration file, ${CONFIG_FILE},"
echo "| has been installed. Please view this file and change"
echo "| the configuration to meet your needs."
echo "+---------------"
echo
}
# Verify proper execution
#
if [ $# -ne 2 ]; then
echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
exit 1
fi
# Verify/process the command
#
case $2 in
PRE-INSTALL)
: nothing to pre-install for this port
;;
POST-INSTALL)
if [ -f ${CONFIG_FILE} ]; then
do_notice "$1"
else
do_install "$1"
fi
;;
*)
echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
exit 1
;;
esac
exit 0

View File

@ -1,13 +1,12 @@
@comment $OpenBSD: PLIST,v 1.3 2003/08/22 13:21:12 naddy Exp $
@comment $OpenBSD: PLIST,v 1.4 2004/08/08 15:51:06 naddy Exp $
bin/xdmchooser
bin/xdmping
man/man1/xdmchoose.1
man/man5/xdmchoose.conf.5
@man man/man1/xdmchoose.1
@man man/man5/xdmchoose.conf.5
share/examples/xdmchoose/
share/examples/xdmchoose/xdmchoose.conf
@sample ${SYSCONFDIR}/xdmchoose.conf
share/xdmchoose/
share/xdmchoose/xdmchoose-blur.xpm
share/xdmchoose/xdmchoose-plain.xpm
share/xdmchoose/xdmchoose-tiled.xpm
@dirrm share/xdmchoose
@dirrm share/examples/xdmchoose
@cwd ${SYSCONFDIR}
@extra xdmchoose.conf

View File

@ -1,51 +0,0 @@
#!/bin/sh
# $OpenBSD: DEINSTALL,v 1.3 2003/08/22 18:49:46 naddy Exp $
#
# De-installation setup of xloadimage
# exit on errors, use a sane path and install prefix
#
set -e
PATH=/bin:/usr/bin:/sbin:/usr/sbin
PREFIX=${PKG_PREFIX:-/usr/local}
CONFIG_FILE=${SYSCONFDIR}/xloadimagerc
# Function: tell the user what they need to do to delete the port completely
#
do_notice()
{
echo
echo "+---------------"
echo "| To completely deinstall the $1 package you need to perform"
echo "| these steps as root:"
echo "|"
echo "| rm -f ${CONFIG_FILE}"
echo "|"
echo "| Do not do this if you plan on re-installing $1"
echo "| at some future time."
echo "+---------------"
echo
}
# Verify proper execution
#
if [ $# -ne 2 ]; then
echo "usage: $0 distname DEINSTALL" >&2
exit 1
fi
# Verify/process the command
#
case $2 in
DEINSTALL)
if [ "$PKG_DELETE_EXTRA" != Yes -a -f ${CONFIG_FILE} ]; then
do_notice "$1"
fi
;;
*)
echo "usage: $0 distname DEINSTALL" >&2
exit 1
;;
esac
exit 0

View File

@ -1,68 +0,0 @@
#!/bin/sh
# $OpenBSD: INSTALL,v 1.3 2002/04/26 03:35:34 pvalchev Exp $
#
# Pre/post-installation setup of xloadimage
# exit on errors, use a sane path and install prefix
#
set -e
PATH=/bin:/usr/bin:/sbin:/usr/sbin
PREFIX=${PKG_PREFIX:-/usr/local}
CONFIG_FILE=${SYSCONFDIR}/xloadimagerc
SAMPLE_CONFIG_DIR=$PREFIX/share/examples/xloadimage
# Function: tell the user what they need to do to use the port just installed
#
do_notice()
{
echo
echo "+---------------"
echo "| The existing $1 configuration file, ${CONFIG_FILE},"
echo "| has NOT been changed. You may want to compare it to the"
echo "| current sample files in ${SAMPLE_CONFIG_DIR}"
echo "| and update your configuration as needed."
echo "+---------------"
echo
}
# Function: install configuration files
#
do_install()
{
install -o root -g wheel ${SAMPLE_CONFIG_DIR}/xloadimagerc ${CONFIG_FILE}
echo
echo "+---------------"
echo "| The $1 configuration file, ${CONFIG_FILE},"
echo "| has been installed. Please view this file and change"
echo "| the configuration to meet your needs."
echo "+---------------"
echo
}
# Verify proper execution
#
if [ $# -ne 2 ]; then
echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
exit 1
fi
# Verify/process the command
#
case $2 in
PRE-INSTALL)
: nothing to pre-install for this port
;;
POST-INSTALL)
if [ -f ${CONFIG_FILE} ]; then
do_notice "$1"
else
do_install "$1"
fi
;;
*)
echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
exit 1
;;
esac
exit 0

View File

@ -1,13 +1,12 @@
@comment $OpenBSD: PLIST,v 1.7 2003/08/22 18:49:46 naddy Exp $
@comment $OpenBSD: PLIST,v 1.8 2004/08/08 15:51:07 naddy Exp $
bin/uufilter
bin/xloadimage
bin/xsetbg
bin/xview
man/man1/uufilter.1
man/man1/xloadimage.1
man/man1/xsetbg.1
man/man1/xview.1
@man man/man1/uufilter.1
@man man/man1/xloadimage.1
@man man/man1/xsetbg.1
@man man/man1/xview.1
share/examples/xloadimage/
share/examples/xloadimage/xloadimagerc
@dirrm share/examples/xloadimage
@cwd ${SYSCONFDIR}
@extra xloadimagerc
@sample ${SYSCONFDIR}/xloadimagerc

View File

@ -1,4 +1,4 @@
@comment $OpenBSD: PLIST,v 1.2 2000/10/27 13:57:43 naddy Exp $
@comment $OpenBSD: PLIST,v 1.3 2004/08/08 15:51:07 naddy Exp $
bin/xlogout
lib/X11/app-defaults/XLogout
man/cat1/xlogout.0
lib/X11/app-defaults
@man man/cat1/xlogout.0

View File

@ -1,3 +1,3 @@
@comment $OpenBSD: PLIST,v 1.1.1.1 2001/01/25 17:03:05 naddy Exp $
@comment $OpenBSD: PLIST,v 1.2 2004/08/08 15:51:07 naddy Exp $
bin/xwit
man/cat1/xwit.0
@man man/cat1/xwit.0